<div class="flex flex-col justify-center items-center h-screen">
  <mat-card class="flex-none h-fit w-96 justify-between mat-elevation-z2">
    <mat-card-header class="justify-center">
      <mat-card-title i18n="@@signUp" class="ft-weight-900 f-24 fm-rauth">Sign Up</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form>
        <mat-form-field class="w-full">
          <mat-label>Full Name</mat-label>
          <input [(ngModel)]="name" [disabled]="isNameAndPhoneDisabled" matInput i18n-placeholder="@@fullName"
             name="name" required>
        </mat-form-field>
        <mat-form-field class="w-full" *ngIf="isSignUpViaEmail">
          <mat-label>Email</mat-label>
          <input [(ngModel)]="email" [disabled]="isEmailDisabled" matInput i18n-placeholder="@@email"
             name="email" required>
        </mat-form-field>
        <mat-form-field *ngIf="isSignUpViaPhone" class="w-full">
          <mat-label>Mobile</mat-label>
          <input [(ngModel)]="phone" matInput i18n-placeholder="@@mobile" name="phone" required
            [disabled]="isNameAndPhoneDisabled">
        </mat-form-field>
        <mat-form-field *ngIf="!communicationEnabled" class="w-full">
          <mat-label>Password</mat-label>
          <input type="password" [(ngModel)]="password" matInput i18n-placeholder="@@password"
            name="password" required>
        </mat-form-field>
        <mat-form-field *ngIf="isSignUpViaPhone && isNameAndPhoneDisabled" class="w-full">
          <mat-label>OTP</mat-label>
          <input [(ngModel)]="otp" matInput i18n-placeholder="@@otp" name="otp" required>
        </mat-form-field>
      </form>

      <div class="flex flex-col justify-between">
        <button mat-raised-button class="w-100 mb-2" *ngIf="isSignUpViaEmail" [disabled]="disableSignup()" color="primary"
          i18n="@@signUp" (click)="onSubmit()">Sign Up</button>
        <button mat-raised-button class="w-100 mb-2" *ngIf="isSignUpViaPhone && isNameAndPhoneDisabled" color="primary"
          i18n="@@verifyPhone" (click)="verifyPhoneSignup()"
          [autofocus]="isSignUpViaPhone && isNameAndPhoneDisabled">Verify Phone</button>
        <button mat-button class="w-100 mb-2" *ngIf="isSignUpViaPhone" color="link" i18n="@@sendOtp" (click)="onSubmitPhone()"
          [disabled]="isOTPSendButtonDisabled">Send OTP</button>
        <button mat-button class="w-100 mb-2" *ngIf="isSignUpViaEmail && enableUserPhone" color="link" i18n="@@signUpViaPhone"
          (click)="signUpViaPhone()">Sign Up via Phone</button>
        <button mat-button class="w-100 mb-2" *ngIf="isSignUpViaPhone && !isNameAndPhoneDisabled" color="link" i18n="@@signUpViaPhone"
          (click)="signUpViaPhone()">Sign Up via Email</button>
        <div class="flex flex-row justify-center ft-700 pointer" (click)="back()">
          Back
        </div>
      </div>
    </mat-card-content>
    
  </mat-card>
</div>
